> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmetal.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Datasource

> This endpoint deletes a Datasource by its ID.

### Auth Headers

<ParamField required header="x-metal-api-key" type="string">
  An API key for your org.
</ParamField>

<ParamField required header="x-metal-client-id" type="string">
  A Client ID for your org.
</ParamField>

### Params

<ParamField required path="id" type="string">
  The unique identifier of the Datasource you wish to delete.
</ParamField>

<RequestExample>
  ```bash theme={null}
  # Example Request
  curl -X DELETE "https://api.getmetal.io/v1/datasources/{id}" \
  --header 'Content-Type: application/json' \
  --header 'x-metal-api-key: <api-key>' \
  --header 'x-metal-client-id: <client-id>'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  204 No Content
  ```
</ResponseExample>
